from argparse import ArgumentParser
import os
from vhom import RegionRunner


def printDir(directory):
    rval=["<ul>"]
    flist = os.listdir(directory)
    
    for entry in flist:
        if(os.path.isdir(os.path.join(directory,entry))):
             rval.append('<li>%s</li>'%entry)
             rval.extend(printDir(os.path.join(directory,entry)))
        else:
            rval.append( '<li><a href="%s">%s</a></li>' % ( os.path.join(directory,entry), entry) )     
    rval.append("</ul>")
    return rval



if __name__ == "__main__":
    
    
    parser = ArgumentParser()
    
    a = parser.add_argument
    a("-o","--html_file",dest="html_file")
    a("-d","--directory",dest="directory")
      
    (options,args)= parser.parse_known_args()
    
    args.insert(0,"dummy")
    try:
        RegionRunner.run(argv=args)
    except SystemExit:
        f = open(options.html_file,'w')
        rval = ["<html><head><title>Homologous groups and regions derived from hit files </title></head><body><p/>\n"]
        rval.append('<div>This composite dataset is composed of the following files:<p/>')
        directory= options.directory
        rval.extend(printDir(directory))
        
        rval.append( '</body></html>' )
    
        f.write("\n".join( rval ))
        f.close() 
